Remove 9wm from purge list

Projekt:Trisquel
Version:9.0
Komponente:Packages
Kategorie:Fehlerbericht
Priorität:normal
Zugewiesen:nicht zugewiesen
Status:active
Beschreibung

9wm is under the MIT/Expat license, so it shouldn't be purged.

Mi, 10/13/2021 - 05:29

Indeed it needs to be updated.

I'm guessing this was an issue since the previous license was not compatible, after the death of the main developer it got changed.

https://en.wikipedia.org/wiki/9wm#Relicensing_following_creator's_death

Mi, 10/13/2021 - 06:03

Seems 9menu keeps having the issue with the license.

Mi, 10/13/2021 - 07:34

Out of curiosity, what exactly is wrong with the previous license? How is it any less free than the gnuplot license?

EDIT: There was a discussion on gnu-linux-libre and while I didn't see any official FSF verdict, it seems that people think the license is nonfree because it doesn't explicitly allow modification. This seems rather nitpicky to me, since the license provides conditions on how to distribute modified versions.

Mi, 10/13/2021 - 08:48

Please bring this case on the dev meeting, we can learn more on trisquel specific policy with Ruben's help.

For 9menu I would argue then the proper way would be to add a helper for a modified version so that it allows modified versions for trisquel's users.

Cheers!